WebSphereProperty (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.websphere.WebSphereProperty interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.websphere
Interface WebSphereProperty

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface WebSphereProperty

extends LogicalElement

Represents a WebSphere Variable defined for a cell, node or server

Naming Rules:
  0="parent,name"
Persistable:
  true
Table Name:
  WASPROP
Display Name:
  name

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getName()`
`WebSphereServer` | `getParent()`
`boolean` | `getRequired()`
`java.lang.String` | `getValidationExpression()`
`java.lang.String` | `getValue()`
`boolean` | `hasName()`
`boolean` | `hasParent()`
`boolean` | `hasRequired()`
`boolean` | `hasValidationExpression()`
`boolean` | `hasValue()`
`void` | `setName(java.lang.String name)`
`void` | `setParent(WebSphereServer srv)`
`void` | `setRequired(boolean required)`
`void` | `setValidationExpression(java.lang.String validationExpression)`
`void` | `setValue(java.lang.String value)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getParent

    WebSphereServer getParent()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setParent

    void setParent(WebSphereServer srv)

### hasParent

    boolean hasParent()

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String name)

### hasName

    boolean hasName()

### getValue

    java.lang.String getValue()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setValue

    void setValue(java.lang.String value)

### hasValue

    boolean hasValue()

### getRequired

    boolean getRequired()
                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setRequired

    void setRequired(boolean required)

### hasRequired

    boolean hasRequired()

### getValidationExpression

    java.lang.String getValidationExpression()
                                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setValidationExpression

    void setValidationExpression(java.lang.String validationExpression)

### hasValidationExpression

    boolean hasValidationExpression()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD